Package org.springframework.security.web.server.authentication.ott

# Class GenerateOneTimeTokenWebFilter

java.lang.Object
org.springframework.security.web.server.authentication.ott.GenerateOneTimeTokenWebFilter

All Implemented Interfaces:
  `org.springframework.web.server.WebFilter`

public final class GenerateOneTimeTokenWebFilter extends Object implements org.springframework.web.server.WebFilter
`WebFilter` implementation that process a One-Time Token generation request.

Since:
  6.4
See Also:
  - `ReactiveOneTimeTokenService`

## Constructor Summary

Constructors
Constructor
Description
`GenerateOneTimeTokenWebFilter(org.springframework.security.authentication.ott.reactive.ReactiveOneTimeTokenService oneTimeTokenService, ServerOneTimeTokenGenerationSuccessHandler oneTimeTokenGenerationSuccessHandler)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`filter(org.springframework.web.server.ServerWebExchange exchange, org.springframework.web.server.WebFilterChain chain)`
`void`
`setRequestMatcher(ServerWebExchangeMatcher matcher)`
Use the given `ServerWebExchangeMatcher` to match the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenerateOneTimeTokenWebFilter

public GenerateOneTimeTokenWebFilter(org.springframework.security.authentication.ott.reactive.ReactiveOneTimeTokenService oneTimeTokenService, ServerOneTimeTokenGenerationSuccessHandler oneTimeTokenGenerationSuccessHandler)

## Method Details

### filter

public reactor.core.publisher.Mono<Void> filter(org.springframework.web.server.ServerWebExchange exchange, org.springframework.web.server.WebFilterChain chain)

Specified by:
  `filter` in interface `org.springframework.web.server.WebFilter`

### setRequestMatcher

public void setRequestMatcher(ServerWebExchangeMatcher matcher)
Use the given `ServerWebExchangeMatcher` to match the request.

Parameters:
  `matcher` -